AbstractJMSTarget (LogKit API)
Keywords: org.apache.log.output.jms.AbstractJMSTarget,AbstractJMSTarget class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output.jms
Class AbstractJMSTarget

    java.lang.Object
      |
      +--org.apache.log.output.AbstractTarget
            |
            +--org.apache.log.output.jms.AbstractJMSTarget

All Implemented Interfaces:
  ErrorAware, LogTarget

Direct Known Subclasses:
  JMSQueueTarget, JMSTopicTarget

public abstract class AbstractJMSTarget
extends AbstractTarget

A target that writes to a JMS Topic.

Author:
  Peter Donald

Constructor Summary
`AbstractJMSTarget(MessageBuilder builder)`
`AbstractJMSTarget(MessageBuilder builder, ErrorHandler errorHandler)`

Method Summary
`void` | `close()` Shutdown target.
`protected abstract void` | `closeConnection()`
`protected void` | `doProcessEvent(LogEvent event)` Process a log event, via formatting and outputting it.
`protected abstract Session` | `getSession()`
`protected void` | `open()` Startup log session.
`protected abstract void` | `openConnection()`
`protected abstract void` | `send(Message message)`

Methods inherited from class org.apache.log.output.AbstractTarget
`error, getErrorHandler, isOpen, processEvent, setErrorHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJMSTarget

    public AbstractJMSTarget(MessageBuilder builder)

### AbstractJMSTarget

    public AbstractJMSTarget(MessageBuilder builder,
                             ErrorHandler errorHandler)

Method Detail

### send

    protected abstract void send(Message message)

### getSession

    protected abstract Session getSession()

### doProcessEvent

    protected void doProcessEvent(LogEvent event)
                           throws Exception

  Process a log event, via formatting and outputting it.

  Specified by:
    `doProcessEvent` in class `AbstractTarget`
  Parameters:
    `event` - the log event
  Throws:
    `Exception` - if an event processing error occurs

### open

    protected void open()

  Startup log session.

  Overrides:
    `open` in class `AbstractTarget`

### close

    public void close()

  Shutdown target. Attempting to write to target after close() will cause errors to be logged.

  Overrides:
    `close` in class `AbstractTarget`

### openConnection

    protected abstract void openConnection()

### closeConnection

    protected abstract void closeConnection()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.